## Settings file was created by plugin Material Editor v3.1.10
## Plugin GUID: com.deathweasel.bepinex.materialeditor

[Config]

## Controls the size of the window.
# Setting type: Single
# Default value: 1.75
# Acceptable value range: From 1 to 3
UI Scale = 1.75

## Controls the size of the window.
# Setting type: Single
# Default value: 0.3
# Acceptable value range: From 0 to 1
UI Width = 0.3

## Controls the size of the window.
# Setting type: Single
# Default value: 0.3
# Acceptable value range: From 0 to 1
UI Height = 0.3

## Watch for file changes and reload textures on change. Can be toggled in the UI.
# Setting type: Boolean
# Default value: true
Watch File Changes = true

## Replaces every loaded shader with the MaterialEditor copy of the shader. Reduces the number of copies of shaders loaded which reduces RAM usage and improves performance.
# Setting type: Boolean
# Default value: true
Shader Optimization = true

## When enabled, skinned meshes will be exported in their current state with all customization applied as well as in the current pose.
# Setting type: Boolean
# Default value: false
Export Baked Mesh = false

## Textures and models will be exported to this folder. If empty, exports to D:\Game installs\Koikatsu\UserData\MaterialEditor
# Setting type: String
# Default value: 
Export Path Override = 

## Remove rim lighting for all characters clothes, hair, accessories, etc. Will save modified values to the card.
## 
## Use with caution as it cannot be undone except by manually resetting all the changes.
# Setting type: Boolean
# Default value: false
Remove Rim Lighting = false

[Keyboard Shortcuts]

## Disable ShadowCasting for all selected items and their child items in Studio
# Setting type: KeyboardShortcut
# Default value: M + LeftControl
Disable ShadowCasting = M + LeftControl

## Enable ShadowCasting for all selected items and their child items in Studio
# Setting type: KeyboardShortcut
# Default value: M + LeftAlt
Enable ShadowCasting = M + LeftAlt

## Reset ShadowCasting for all selected items and their child items in Studio
# Setting type: KeyboardShortcut
# Default value: M + LeftControl + LeftAlt
Reset ShadowCasting = M + LeftControl + LeftAlt

## Disable ReceiveShadows for all selected items and their child items in Studio
# Setting type: KeyboardShortcut
# Default value: N + LeftControl
Disable ReceiveShadows = N + LeftControl

## Enable ReceiveShadows for all selected items and their child items in Studio
# Setting type: KeyboardShortcut
# Default value: N + LeftAlt
Enable ReceiveShadows = N + LeftAlt

## Reset ReceiveShadows for all selected items and their child items in Studio
# Setting type: KeyboardShortcut
# Default value: N + LeftControl + LeftAlt
Reset ReceiveShadows = N + LeftControl + LeftAlt

## Paste any copied edits for all selected items and their child items in Studio
# Setting type: KeyboardShortcut
# Default value: N
Paste Edits = N

